### Method

# WPEPlatform InputMethodContext set_input_purpose

#### Declaration [src]

    void
    wpe_input_method_context_set_input_purpose (
      WPEInputMethodContext* context,
      WPEInputPurpose purpose
    )

#### Description [src]

Set the purpose of the text field that `context` is connected to.

Sets property | `WPEPlatform.InputMethodContext:input-purpose`

#### Parameters

`purpose`

  Type: `WPEInputPurpose`

  A `WPEInputPurpose`.